Loading...
Searching...
No Matches
gtsam::GaussianFactorGraphSystem Class Reference

## Detailed Description

System class needed for calling preconditionedConjugateGradient.

## Public Member Functions

| GaussianFactorGraphSystem (const GaussianFactorGraph &gfg, const Preconditioner &preconditioner, const KeyInfo &info, const std::map< Key, Vector > &lambda)
void | residual (const Vector &x, Vector &r) const
void | multiply (const Vector &x, Vector &y) const
void | leftPrecondition (const Vector &x, Vector &y) const
void | rightPrecondition (const Vector &x, Vector &y) const
void | scal (const double alpha, Vector &x) const
double | dot (const Vector &x, const Vector &y) const
void | axpy (const double alpha, const Vector &x, Vector &y) const
void | getb (Vector &b) const

## Public Attributes

const GaussianFactorGraph & | gfg_
const Preconditioner & | preconditioner_
const KeyInfo & | keyInfo_
const std::map< Key, Vector > & | lambda_

The documentation for this class was generated from the following files:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/linear/PCGSolver.h
- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/linear/PCGSolver.cpp